﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace ClientApp
{
    class Program
    {
        private static readonly string ConnectionStr = @"Server=.\SQL2008;Database=tempdb; Trusted_Connection=yes;";

        static void Main(string[] args)
        {
            using (SqlConnection conn = new SqlConnection(ConnectionStr))
            {
                conn.Open();

                /* Method 1 */
                SqlCommand cmd1 = new SqlCommand("select * from dbo.Data where VarcharColumn=@TypedParam", conn);
                cmd1.Parameters.Add("@TypedParam", SqlDbType.VarChar, 10).Value = "20000";
                using (cmd1.ExecuteReader()) { };

                /* Method 2 */
                SqlCommand cmd2 = new SqlCommand("select * from dbo.Data where VarcharColumn=@UntypedParam", conn);
                cmd2.Parameters.Add("@UntypedParam", "20000");
                using (cmd2.ExecuteReader()) { };
                Console.ReadLine();
            }
        }
    }
}
